# Vehicle RC

The Vehicle RC (Registration Certificate) API is a robust tool designed to provide comprehensive information extracted from vehicle registration certificates. This API provides comprehensive details extracted from vehicle registration certificates, including vehicle owner name, registration number, chassis number, engine number, vehicle make and model, fit upto year, fuel type, and more.

## ind\_rc

`POST` `https://secctrl.tutelar.io/api/v1/kyc/utility/ind_rc`

### Post parameters description is given below

| Post Parameter | Type   | Is Mandatory | Description                     |
| -------------- | ------ | ------------ | ------------------------------- |
| rc\_number     | String | Yes          | Registration Certificate Number |

### Sample Post Parameters

```json
{
  "rc_number": "TN03AE5103"
}
```

200: Success Response

400: Validation Error Response

200: Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "170f899a-eb74-4098-989b-23998066ce84",
  "status": "completed",
  "result": {
    "registration_number": "TN03AE5103",
    "registration_date": "2021-07-30",
    "owner_name": "GOWTHAM R",
    "father_name": "RAMESH",
    "mobile_number": "",
    "present_address": "NO: 45, KANTHASAM  STREET,RAMAPALAIYAM TIMIRI ARCOT,,632512",
    "permanent_address": "NO: 45, KANTHASAM  STREET,RAMAPALAIYAM TIMIRI ARCOT,,632512",
    "chassis_number": "MD2A11CX7MCC28661",
    "engine_number": "DHXCMC08951",
    "maker": "BAJAJ AUTO LTD",
    "maker_model": "PULSAR 150 DTS-I",
    "fuel_type": "PETROL",
    "color": "MATT SPARKLE BLACK",
    "fit_upto": "2036-07-29",
    "class": "M-Cycle/Scooter(2WN)",
    "insurance_company": "Magma HDI General Insurance Co. Ltd.",
    "insurance_policy_number": "P0022300031/4113/105904",
    "insurance_validity": "2026-07-26",
    "pollution_control_validity": null,
    "tax_upto": "2036-07-29",
    "permit_type": "",
    "permit_valid_upto": null,
    "permit_number": "",
    "status": "ACTIVE",
    "blacklist_status": "",
    "owner_number": "1",
    "registered_at": "RANIPET RTO, Tamil Nadu"
  },
  "requested_at": "2024-03-13T11:44:36.483Z",
  "completed_at": "2024-03-13T11:44:42.087Z"
}
```

```json
{
  "success": false,
  "code": 400,
  "message": "Invalid input. Please check your request and try again.",
  "error": {
    "message": "Invalid rc number",
    "field": "rc_number",
    "code": "BAD_REQUEST"
  }
}
```

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "76d049e8-e9eb-4095-8926-74235763cf8a",
  "status": "failed",
  "error": {
    "message": "Verification Failed.",
    "code": "ERROR"
  },
  "requested_at": "2024-03-18T05:12:26.884Z",
  "completed_at": "2024-03-18T05:12:27.305Z"
}
```

## Get details

This Get details API using to fetch the latest updated response when the above API gave the status as in-progress by using the reference\_id

`GET` `https://secctrl.tutelar.io/api/v1/kyc/utility/ind_rc`

### Query parameters description is given below

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| reference\_id   | String | Yes          | Document reference id |

200: Success Response

200: InProgress Response

200: Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "170f899a-eb74-4098-989b-23998066ce84",
  "status": "completed",
  "result": {
    "registration_number": "TN03AE5103",
    "registration_date": "2021-07-30",
    "owner_name": "GOWTHAM R",
    "father_name": "RAMESH",
    "mobile_number": "",
    "present_address": "NO: 45, KANTHASAM  STREET,RAMAPALAIYAM TIMIRI ARCOT,,632512",
    "permanent_address": "NO: 45, KANTHASAM  STREET,RAMAPALAIYAM TIMIRI ARCOT,,632512",
    "chassis_number": "MD2A11CX7MCC28661",
    "engine_number": "DHXCMC08951",
    "maker": "BAJAJ AUTO LTD",
    "maker_model": "PULSAR 150 DTS-I",
    "fuel_type": "PETROL",
    "color": "MATT SPARKLE BLACK",
    "fit_upto": "2036-07-29",
    "class": "M-Cycle/Scooter(2WN)",
    "insurance_company": "Magma HDI General Insurance Co. Ltd.",
    "insurance_policy_number": "P0022300031/4113/105904",
    "insurance_validity": "2026-07-26",
    "pollution_control_validity": null,
    "tax_upto": "2036-07-29",
    "permit_type": "",
    "permit_valid_upto": null,
    "permit_number": "",
    "status": "ACTIVE",
    "blacklist_status": "",
    "owner_number": "1",
    "registered_at": "RANIPET RTO, Tamil Nadu"
  },
  "requested_at": "2024-03-13T11:44:36.483Z",
  "completed_at": "2024-03-13T11:44:42.087Z"
}
```

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "170f899a-eb74-4098-989b-23998066ce84",
  "status": "in_progress",
  "requested_at": "2024-04-22T05:28:49.245Z"
}
```

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "170f899a-eb74-4098-989b-23998066ce84",
  "status": "failed",
  "error": {
    "message": "Verification Failed.",
    "code": "ERROR"
  },
  "requested_at": "2024-03-18T05:12:26.884Z",
  "completed_at": "2024-03-18T05:12:27.305Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/vehicle-rc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
